- Cal3D 0.11 API Reference -

Public Member Functions | Friends | List of all members
cal3d::TiXmlAttribute Class Reference

An attribute is a name-value pair. More...

`#include <tinyxml.h>`

Inheritance diagram for cal3d::TiXmlAttribute:

## Public Member Functions

| TiXmlAttribute ()
| Construct an empty attribute.
| TiXmlAttribute (const std::string &_name, const std::string &_value)
| std::string constructor.
| TiXmlAttribute (const char *_name, const char *_value)
| Construct an attribute with a name and value.
const char * | Name () const
| Return the name of this attribute.
const char * | Value () const
| Return the value of this attribute.
const int | IntValue () const
| Return the value of this attribute, converted to an integer.
const double | DoubleValue () const
| Return the value of this attribute, converted to a double.
int | QueryIntValue (int *value) const
| QueryIntValue examines the value string.
int | QueryDoubleValue (double *value) const
| QueryDoubleValue examines the value string. See QueryIntValue().
void | SetName (const char *_name)
| Set the name of this attribute.
void | SetValue (const char *_value)
| Set the value.
void | SetIntValue (int value)
| Set the value from an integer.
void | SetDoubleValue (double value)
| Set the value from a double.
void | SetName (const std::string &_name)
| STL std::string form.
void | SetValue (const std::string &_value)
| STL std::string form.
TiXmlAttribute * | Next () const
| Get the next sibling attribute in the DOM. Returns null at end.
TiXmlAttribute * | Previous () const
| Get the previous sibling attribute in the DOM. Returns null at beginning.
bool | operator== (const TiXmlAttribute &rhs) const
bool | operator< (const TiXmlAttribute &rhs) const
bool | operator> (const TiXmlAttribute &rhs) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data)
virtual void | Print (FILE *cfile, int depth) const
| All TinyXml classes can print themselves to a filestream.
virtual void | StreamOut (TIXML_OSTREAM *out) const
void | SetDocument (TiXmlDocument *doc)
Public Member Functions inherited from cal3d::TiXmlBase
int | Row () const
| Return the position, in the original source file, of this node or attribute.
int | Column () const
| See Row().

## Friends

class | TiXmlAttributeSet

## Additional Inherited Members

Static Public Member Functions inherited from cal3d::TiXmlBase
static void | SetCondenseWhiteSpace (bool condense)
| The world does not agree on whether white space should be kept or not.
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting.
Protected Types inherited from cal3d::TiXmlBase

enum

{
TIXML_NO_ERROR = 0 , TIXML_ERROR , TIXML_ERROR_OPENING_FILE , TIXML_ERROR_OUT_OF_MEMORY ,
TIXML_ERROR_PARSING_ELEMENT , TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME , TIXML_ERROR_READING_ELEMENT_VALUE , TIXML_ERROR_READING_ATTRIBUTES ,
TIXML_ERROR_PARSING_EMPTY , TIXML_ERROR_READING_END_TAG , TIXML_ERROR_PARSING_UNKNOWN , TIXML_ERROR_PARSING_COMMENT ,
TIXML_ERROR_PARSING_DECLARATION , TIXML_ERROR_DOCUMENT_EMPTY , TIXML_ERROR_STRING_COUNT
}

Static Protected Member Functions inherited from cal3d::TiXmlBase
static const char * | SkipWhiteSpace (const char *)
static bool | IsWhiteSpace (int c)
static bool | StreamWhiteSpace (TIXML_ISTREAM *in, TIXML_STRING *tag)
static bool | StreamTo (TIXML_ISTREAM *in, int character, TIXML_STRING *tag)
static const char * | ReadName (const char *p, TIXML_STRING *name)
static const char * | ReadText (const char *in, TIXML_STRING *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase)
static const char * | GetEntity (const char *in, char *value)
static const char * | GetChar (const char *p, char *_value)
static void | PutString (const TIXML_STRING &str, TIXML_OSTREAM *out)
static void | PutString (const TIXML_STRING &str, TIXML_STRING *out)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase)
Protected Attributes inherited from cal3d::TiXmlBase
TiXmlCursor | location
Static Protected Attributes inherited from cal3d::TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

An attribute is a name-value pair.

Elements have an arbitrary number of attributes, each with a unique name.

Note
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

## Member Function Documentation

## ◆ Parse()

const char * cal3d::TiXmlAttribute::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data )

virtual

Implements cal3d::TiXmlBase.

## ◆ Print()

void cal3d::TiXmlAttribute::Print | ( | FILE * | cfile,
|  | int | depth ) const

virtual

All TinyXml classes can print themselves to a filestream.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements cal3d::TiXmlBase.

## ◆ QueryIntValue()

int cal3d::TiXmlAttribute::QueryIntValue | ( | int * | value | ) | const

QueryIntValue examines the value string.

It is an alternative to the IntValue() method with richer error checking. If the value is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE.

A specialized but useful call. Note that for success it returns 0, which is the opposite of almost all other TinyXml calls.

## ◆ StreamOut()

void cal3d::TiXmlAttribute::StreamOut | ( | TIXML_OSTREAM * | out | ) | const

virtual

Implements cal3d::TiXmlBase.

The documentation for this class was generated from the following files:

- tinyxml.h
- tinyxml.cpp
- tinyxmlparser.cpp

Generated by The Cal3D Team with Doxygen 1.15.0